/* Make clicks pass-through */
#loading-bar,
#loading-bar-spinner {
    pointer-events: none;
    -webkit-pointer-events: none;
    -webkit-transition: 350ms linear all;
    -moz-transition: 350ms linear all;
    -o-transition: 350ms linear all;
    transition: 350ms linear all;
}

#loading-bar.ng-enter,
#loading-bar.ng-leave.ng-leave-active,
#loading-bar-spinner.ng-enter,
#loading-bar-spinner.ng-leave.ng-leave-active {
    opacity: 0;
}

#loading-bar.ng-enter.ng-enter-active,
#loading-bar.ng-leave,
#loading-bar-spinner.ng-enter.ng-enter-active,
#loading-bar-spinner.ng-leave {
    opacity: 1;
}

#loading-bar .bar {
    -webkit-transition: width 350ms;
    -moz-transition: width 350ms;
    -o-transition: width 350ms;
    transition: width 350ms;
    position: fixed;
    z-index: 10002;
    top: 0;
    left: 0;
    width: 100%;
    height: 0px;
    border-bottom-right-radius: 1px;
    border-top-right-radius: 1px;
}

/* Fancy blur effect */
#loading-bar .peg {
    position: absolute;
    width: 70px;
    right: 0;
    top: 0;
    height: 3px;
    opacity: .45;
}

#loading-bar-spinner {
    display: block;
    position: fixed;
    z-index: 10002;
    top: 10px;
    left: 10px;
}

#loading-bar-spinner .spinner-icon {
    width: 14px;
    height: 14px;
    border-radius: 10px;
    -webkit-animation: loading-bar-spinner 2s linear infinite;
    -moz-animation: loading-bar-spinner 2s linear infinite;
    -ms-animation: loading-bar-spinner 2s linear infinite;
    -o-animation: loading-bar-spinner 2s linear infinite;
    animation: loading-bar-spinner 2s linear infinite;
}


